#!/usr/bin/perl
# vim:et:ts=2:sw=2:

#    Lanternor - Used to study lanterns and day signals
#    Copyright (C) 2011  Jonas Eriksson <zqad@acc.umu.se>
# 
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
# 
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
# 
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

use CGI;

our %patterns;
require("./patterns.pm");

print <<_EOF_ ;
Content-Type: text/html; charset=utf-8

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
  <head>
    <title>Alla lanternor</title>
    <style type="text/css">
      <!--
      body { color: $bg_inv; background-color: $bg; font-family: sans-serif }
      img { border: none }
      //-->
    </style>
  </head>
  <body>
    <table>
_EOF_

foreach my $name (keys(%patterns)) {
	my $answer = $patterns{$name}->{'answer'};
	print <<_EOF_ ;
      <tr valign="middle">
        <td align="center">
          <a name="$name"></a>
            <a href="#$name">
              <img src="img.cgi?$name" alt="$answer">
            </a>
        </td>
      </tr>
      <tr valign="middle">
        <td align="center" class="x" style="width: 70%">
          $answer
        </td>
      </tr>
      <tr valign="middle">
        <td align="center" class="x" style="width: 70%">
          &nbsp;
        </td>
      </tr>
_EOF_
}

print <<_EOF_ ;
      <tr>
        <td align="right">
          <p>
            <a href="http://validator.w3.org/check?uri=referer"><img src="http://www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01 Strict" height="31" width="88"></a>
            <a href="http://www.gnu.org/licenses/agpl.html">
              <img src="agpl.png" alt="AGPL v3 logo">
            </a>
          </p>
          <p> 
            <a href="download.cgi">Download source</a>
          </p>
        </td>
      </tr>
    </table>
  </body>
</html>
_EOF_
